cURL
curl --request GET \ --url https://api.chift.eu/consumers/{consumer_id}/pms/payments \ --header 'Authorization: Bearer <token>'
{ "items": [ { "source_ref": { "id": "<string>", "model": "<string>" }, "total": 123, "id": "payment-123", "payment_method_id": "payment-method-123", "payment_method_name": "Cash", "tip": 1, "status": "Completed", "currency": "EUR", "date": "2025-01-01T00:00:00Z", "partner_id": { "id": "<string>", "source_ref": { "id": "<string>", "model": "<string>" } }, "description": "Payment for invoice INV-12345" } ], "total": 1, "page": 2, "size": 2 }
Returns a list of payments
This access token needs to be included in each of your request to the Chift API.
Page number
x >= 1
Page size
1 <= x <= 100
Successful Response
Show child attributes
Technical id in the target software
Name of the model/entity in the target software
Total amount of the payment
Unique identifier of the payment
"payment-123"
Unique identifier of the payment method used for the payment
"payment-method-123"
Chift's name of the payment method used for the payment
"Cash"
Total amount of the tips of the payment. Tips are not part of the total of the payment
1
Status of the payment
Pending
Completed
Canceled
Failed
Unknown
Authorised
"Completed"
Currency of the payment
"EUR"
Date of the payment
"2025-01-01T00:00:00Z"
Reference to the customer related to this payment
Technical id in Chift
Description of the payment
"Payment for invoice INV-12345"
x >= 0